package com.muyu.customer.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 多数据源对象 DataSource
 *
 * @author DeKangLiu
 * Date 2024/6/22 22:56
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName("datasource")
public class DataSource extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 数据源key */
    @Excel(name = "数据源key")
    @ApiModelProperty(name = "数据源key", value = "数据源key")
    private String enterpriseCode;

    /** 数据源端口 */
    @Excel(name = "数据源端口")
    @ApiModelProperty(name = "数据源端口", value = "数据源端口")
    private Integer port;

    /** 数据源ip */
    @Excel(name = "数据源ip")
    @ApiModelProperty(name = "数据源ip", value = "数据源ip")
    private String ip;


}
