package com.muyu.customer.business.domain.req;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 故障记录对象 fault_record
 *
 * @author chx
 * @date 2024-06-20
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "FaultRecordSaveReq", description = "故障记录")
public class FaultRecordSaveReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 主键 */

    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 故障码 */

    @ApiModelProperty(name = "故障码", value = "故障码")
    private String faultCode;

    /** 车辆vin */

    @ApiModelProperty(name = "车辆vin", value = "车辆vin")
    private String vin;

    /** 故障开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")

    @ApiModelProperty(name = "故障开始时间", value = "故障开始时间")
    private Date startTime;

    /** 故障结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")

    @ApiModelProperty(name = "故障结束时间", value = "故障结束时间")
    private Date endTime;

    /** 故障级别 */

    @ApiModelProperty(name = "故障级别", value = "故障级别")
    private String faultLevel;

    /** 故障是否处理 */

    @ApiModelProperty(name = "故障是否处理", value = "故障是否处理")
    private String faultHandle;

}
