package com.muyu.customer.business.controller;

import com.alibaba.fastjson2.JSON;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.controller.BaseController;
import com.muyu.customer.business.domain.Vehicle;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 车辆录入对象 VehicleInfoController
 *
 * @author DeKangLiu
 * Date 2024/6/22 20:31
 */
@Log4j2
@RestController
@RequestMapping("/vehicleInfo")
public class VehicleInfoController extends BaseController {
    @Autowired
    private RedisTemplate<String,String> redisTemplate;

    @GetMapping("/list/{vin}")
    public Result vehicleInfoAllList(@PathVariable String vin){

        if (redisTemplate.hasKey(vin)){
            String lastElement = redisTemplate.opsForList().index(vin, -1);
            Vehicle vehicleInfo = JSON.parseObject(lastElement, Vehicle.class);
            return Result.success(vehicleInfo);
        }
        return null;
    }

}
