package com.muyu.customer.business.service.impl;

import java.util.List;

import com.muyu.common.core.utils.ObjUtils;
import com.muyu.customer.business.domain.FaultCode;
import com.muyu.customer.business.mapper.FaultCodeMapper;
import com.muyu.customer.business.service.FaultCodeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * 车辆故障码Service业务层处理
 *
 * @author chx
 * @date 2024-06-20
 */
@Slf4j
@Service
public class FaultCodeServiceImpl extends ServiceImpl<FaultCodeMapper, FaultCode>  implements FaultCodeService {

    /**
     * 查询车辆故障码列表
     *
     * @param faultCode 车辆故障码
     * @return 车辆故障码
     */
    @Override
    public List<FaultCode> list(FaultCode faultCode) {
        LambdaQueryWrapper<FaultCode> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(faultCode.getFaultCode())){
            queryWrapper.eq(FaultCode::getFaultCode, faultCode.getFaultCode());
        }



        return list(queryWrapper);
    }
}
