package com.muyu.customer.business.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.utils.ObjUtils;
import com.muyu.customer.business.domain.FaultRecord;
import com.muyu.customer.business.mapper.FaultRecordMapper;
import com.muyu.customer.business.service.FaultRecordService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * 故障记录Service业务层处理
 *
 * @author chx
 * @date 2024-06-20
 */
@Slf4j
@Service
public class FaultRecordServiceImpl extends ServiceImpl<FaultRecordMapper, FaultRecord> implements FaultRecordService {
    @Autowired
    private FaultRecordMapper faultRecordMapper;

    /**
     * 查询故障记录列表
     *
     * @param faultRecord 故障记录
     * @return 故障记录
     */
    @Override
    public List<FaultRecord> list(FaultRecord faultRecord) {
        LambdaQueryWrapper<FaultRecord> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(faultRecord.getFaultCode())){
            queryWrapper.eq(FaultRecord::getFaultCode, faultRecord.getFaultCode());
        }

        if (ObjUtils.notNull(faultRecord.getVin())){
            queryWrapper.eq(FaultRecord::getVin, faultRecord.getVin());
        }




        return list(queryWrapper);
    }

    @Override
    public void addRecord(FaultRecord build) {
        faultRecordMapper.addRecord(build);
    }

    @Override
    public FaultRecord selectFault(FaultRecord build) {
        return faultRecordMapper.selectFault(build);
    }
}
