package com.muyu.customer.business.service.impl;

import java.util.List;

import com.alibaba.fastjson2.JSONObject;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.utils.ObjUtils;
import com.muyu.customer.business.domain.Vehicle;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Service;
import com.muyu.customer.business.mapper.FenceMapper;
import com.muyu.customer.business.domain.Fence;
import com.muyu.customer.business.service.FenceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.springframework.web.client.RestTemplate;
/**
 * 电子围栏Service业务层处理
 *
 * @author muyu
 * @date 2024-05-31
 */
@Slf4j
@Service
public class FenceServiceImpl extends ServiceImpl<FenceMapper, Fence>  implements FenceService {
    @Autowired
    private RestTemplate restTemplate;

    /**
     * 查询电子围栏列表
     *
     * @param fence 电子围栏
     * @return 电子围栏
     */
    @Override
    public List<Fence> list(Fence fence) {
        LambdaQueryWrapper<Fence> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(fence.getName())){
            queryWrapper.like(Fence::getName, fence.getName());
        }

        if (ObjUtils.notNull(fence.getFenceType())){
            queryWrapper.eq(Fence::getFenceType, fence.getFenceType());
        }

        if (ObjUtils.notNull(fence.getLongitudeAndLatitude())){
            queryWrapper.eq(Fence::getLongitudeAndLatitude, fence.getLongitudeAndLatitude());
        }





        return list(queryWrapper);
    }
    @Autowired
    private StringRedisTemplate redisTemplate;

    @Override
    public Result getConn(Vehicle vehicle) {
//        Object forObject = restTemplate.getForObject("http://192.168.43.154:88/test/getList?vin="+vehicle.getVin(), Object.class);
        String value = "";
        if (Boolean.TRUE.equals(redisTemplate.hasKey(vehicle.getVin()))) {
            value = redisTemplate.opsForValue().get(vehicle.getVin());
            System.out.println(value);
        }
        JSONObject jsonObject = JSONObject.parseObject(value);
        System.out.println(jsonObject);
        System.out.println(value);
        return Result.success(jsonObject);
    }
}
