package com.muyu.net.working.remote;


import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.net.working.remote.factory.RemoteDatasourceFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import com.muyu.net.working.domain.DataSource;

import java.util.List;

/**
 * 用户服务 RemoteBusinessService
 *
 * @author DeKangLiu
 * Date 2024/6/22 20:39
 */
@FeignClient(
        contextId = "remoteDatasourceService",
        value = ServiceNameConstants.DATASOURCE_SERVICE,
        fallbackFactory = RemoteDatasourceFallbackFactory.class,
        path = "/datasource"
)
public interface RemoteDatasourceService {
    @GetMapping("/listAll")
    public List<DataSource> listAll();
}
