package com.muyu.net.working.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.net.working.domain.DataSource;
import com.muyu.net.working.remote.RemoteDatasourceService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import javax.xml.crypto.Data;
import java.util.List;

/**
 * 熔断器 RemoteBusinessFallbackFactory
 *
 * @author DeKangLiu
 * Date 2024/6/22 20:41
 */
@Component
public class RemoteDatasourceFallbackFactory implements FallbackFactory<RemoteDatasourceService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteDatasourceFallbackFactory.class);

    @Override
    public RemoteDatasourceService create (Throwable throwable) {
        log.error("用户服务调用失败:{}", throwable.getMessage());
        return new RemoteDatasourceService() {

            /**
             *
             * @return
             */
            @Override
            public List<DataSource> listAll() {
                return null;
            }
        };
    }
}
